local toc, data = ...
local AddonId = toc.identifier

GT = {}
GT.Context = UI.CreateContext("gtContext")
GT.glowTable = {
	blurX=3,
	blurY=3,
	colorA=1,
	colorB=0,
	colorG=0,
	colorR=1,
	knockout=false,
	offsetX=0,
	offsetY=0,
	replace=false,
	strength=5}

function GT.Create()
	Command.System.Watchdog.Quiet()
		
	GT.display = UI.CreateFrame("Texture", AddonId .. "_cellConfig", GT.Context)
		GT.display:SetPoint("CENTER", GT.Context, "CENTER", 760, 440)
		GT.display:SetHeight(450)
		GT.display:SetWidth(300)
		GT.display:SetTexture(AddonId, "img/midWindow.png")
		
	GT.display.btnClose = UI.CreateFrame("RiftButton", AddonId .. "_cellConfig_Closebtn", GT.display)
		GT.display.btnClose:SetText("CLOSE")
		GT.display.btnClose:SetPoint("BOTTOMLEFT", GT.display, "BOTTOMCENTER", 0, -10)
		GT.display.btnClose:SetEnabled(true)
		GT.display.btnClose.Event.LeftPress = function()
			GT.display:SetVisible(false)
		end
	
	GT.display2 = UI.CreateFrame("Texture", AddonId .. "_cellConfig", GT.display)
		GT.display2:SetPoint("CENTERRIGHT", GT.display, "CENTERLEFT")
		GT.display2:SetHeight(450)
		GT.display2:SetWidth(300)
		GT.display2:SetTexture(AddonId, "img/midWindow.png")
		
	GT.display.bg = UI.CreateFrame("Text", AddonId .. "_cellConfig_bg", GT.display2)
		GT.display.bg:SetPoint("TOPLEFT", GT.display2, "TOPLEFT", 20, 20)
		GT.display.bg:SetFontColor(1,1,1,1)
		GT.display.bg:SetFontSize(14)
		GT.display.bg:SetText("Background Color")
		
		GT.display.bg.preview = UI.CreateFrame("Frame", AddonId .. "_cellConfig_bg_preview", GT.display.bg)
			GT.display.bg.preview:SetPoint("TOPLEFT", GT.display.bg, "BOTTOMLEFT", 0, 5)
			GT.display.bg.preview:SetHeight(80)
			GT.display.bg.preview:SetWidth(45)
			GT.display.bg.preview:SetBackgroundColor(1,1,1,1)
		
		GT.display.bg.red = UI.CreateFrame("Text", AddonId .. "_cellConfig_bg_red", GT.display.bg)
			GT.display.bg.red:SetPoint("TOPLEFT", GT.display.bg.preview, "TOPRIGHT", 22, 0)
			GT.display.bg.red:SetFontColor(1,1,1,1)
			GT.display.bg.red:SetFontSize(12)
			GT.display.bg.red:SetText("Red")
		
		GT.display.bg.red.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_bg_red_slider", GT.display.bg.red)
			GT.display.bg.red.slider:SetPoint("CENTERLEFT", GT.display.bg.red, "CENTERRIGHT", 12, 6)
			GT.display.bg.red.slider:SetRange(0,255)
			GT.display.bg.red.slider:SetWidth(120)
			GT.display.bg.red.slider:SetPosition(255)
			GT.display.bg.red.slider.Event.SliderChange = function()
				GT.display.bg.red.value:SetText(tostring(GT.display.bg.red.slider:GetPosition()))
				GT.display.bg.preview:SetBackgroundColor(GT.display.bg.red.slider:GetPosition()/255,GT.display.bg.green.slider:GetPosition()/255,GT.display.bg.blue.slider:GetPosition()/255,1)
				GT.display.preview:SetBackgroundColor(GT.display.bg.red.slider:GetPosition()/255,GT.display.bg.green.slider:GetPosition()/255,GT.display.bg.blue.slider:GetPosition()/255,1)
			end
		
		GT.display.bg.red.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_bg_red_value", GT.display.bg.red)
			GT.display.bg.red.value:SetPoint("CENTERLEFT", GT.display.bg.red.slider, "CENTERRIGHT", 12, -6)
			GT.display.bg.red.value:SetFontColor(1,1,1,1)
			GT.display.bg.red.value:SetFontSize(12)
			GT.display.bg.red.value:SetText(tostring(GT.display.bg.red.slider:GetPosition()))
		
		GT.display.bg.green = UI.CreateFrame("Text", AddonId .. "_cellConfig_bg_green", GT.display.bg)
			GT.display.bg.green:SetPoint("CENTERLEFT", GT.display.bg.preview, "CENTERRIGHT", 10, 0)
			GT.display.bg.green:SetFontColor(1,1,1,1)
			GT.display.bg.green:SetFontSize(12)
			GT.display.bg.green:SetText("Green")
		
		GT.display.bg.green.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_bg_green_slider", GT.display.bg.green)
			GT.display.bg.green.slider:SetPoint("CENTERLEFT", GT.display.bg.green, "CENTERRIGHT", 12, 6)
			GT.display.bg.green.slider:SetRange(0,255)
			GT.display.bg.green.slider:SetWidth(120)
			GT.display.bg.green.slider:SetPosition(255)
			GT.display.bg.green.slider.Event.SliderChange = function()
				GT.display.bg.green.value:SetText(tostring(GT.display.bg.green.slider:GetPosition()))
				GT.display.bg.preview:SetBackgroundColor(GT.display.bg.red.slider:GetPosition()/255,GT.display.bg.green.slider:GetPosition()/255,GT.display.bg.blue.slider:GetPosition()/255,1)
				GT.display.preview:SetBackgroundColor(GT.display.bg.red.slider:GetPosition()/255,GT.display.bg.green.slider:GetPosition()/255,GT.display.bg.blue.slider:GetPosition()/255,1)
			end
		
		GT.display.bg.green.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_bg_green_value", GT.display.bg.green)
			GT.display.bg.green.value:SetPoint("CENTERLEFT", GT.display.bg.green.slider, "CENTERRIGHT", 12, -6)
			GT.display.bg.green.value:SetFontColor(1,1,1,1)
			GT.display.bg.green.value:SetFontSize(12)
			GT.display.bg.green.value:SetText(tostring(GT.display.bg.green.slider:GetPosition()))
		
		GT.display.bg.blue = UI.CreateFrame("Text", AddonId .. "_cellConfig_bg_blue", GT.display.bg)
			GT.display.bg.blue:SetPoint("BOTTOMLEFT", GT.display.bg.preview, "BOTTOMRIGHT", 19, 0)
			GT.display.bg.blue:SetFontColor(1,1,1,1)
			GT.display.bg.blue:SetFontSize(12)
			GT.display.bg.blue:SetText("Blue")
		
		GT.display.bg.blue.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_bg_blue_slider", GT.display.bg.blue)
			GT.display.bg.blue.slider:SetPoint("CENTERLEFT", GT.display.bg.blue, "CENTERRIGHT", 12, 6)
			GT.display.bg.blue.slider:SetRange(0,255)
			GT.display.bg.blue.slider:SetWidth(120)
			GT.display.bg.blue.slider:SetPosition(255)
			GT.display.bg.blue.slider.Event.SliderChange = function()
				GT.display.bg.blue.value:SetText(tostring(GT.display.bg.blue.slider:GetPosition()))
				GT.display.bg.preview:SetBackgroundColor(GT.display.bg.red.slider:GetPosition()/255,GT.display.bg.green.slider:GetPosition()/255,GT.display.bg.blue.slider:GetPosition()/255,1)
				GT.display.preview:SetBackgroundColor(GT.display.bg.red.slider:GetPosition()/255,GT.display.bg.green.slider:GetPosition()/255,GT.display.bg.blue.slider:GetPosition()/255,1)
			end
		
		GT.display.bg.blue.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_bg_blue_value", GT.display.bg.blue)
			GT.display.bg.blue.value:SetPoint("CENTERLEFT", GT.display.bg.blue.slider, "CENTERRIGHT", 12, -6)
			GT.display.bg.blue.value:SetFontColor(1,1,1,1)
			GT.display.bg.blue.value:SetFontSize(12)
			GT.display.bg.blue.value:SetText(tostring(GT.display.bg.blue.slider:GetPosition()))
		
	GT.display.label = UI.CreateFrame("Text", AddonId .. "_cellConfig_label", GT.display)
		GT.display.label:SetPoint("TOPLEFT", GT.display.bg, "TOPLEFT", 0, 120)
		GT.display.label:SetFontColor(1,1,1,1)
		GT.display.label:SetFontSize(14)
		GT.display.label:SetLayer(50)
		GT.display.label:SetText("Label Color")
		
		GT.display.label.preview = UI.CreateFrame("Frame", AddonId .. "_cellConfig_label_preview", GT.display.label)
			GT.display.label.preview:SetPoint("TOPLEFT", GT.display.label, "BOTTOMLEFT", 0, 5)
			GT.display.label.preview:SetHeight(80)
			GT.display.label.preview:SetWidth(45)
			GT.display.label.preview:SetBackgroundColor(0,0,0,1)
		
		GT.display.label.red = UI.CreateFrame("Text", AddonId .. "_cellConfig_label_red", GT.display.label)
			GT.display.label.red:SetPoint("TOPLEFT", GT.display.label.preview, "TOPRIGHT", 22, 0)
			GT.display.label.red:SetFontColor(1,1,1,1)
			GT.display.label.red:SetFontSize(12)
			GT.display.label.red:SetText("Red")
		
		GT.display.label.red.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_label_red_slider", GT.display.label.red)
			GT.display.label.red.slider:SetPoint("CENTERLEFT", GT.display.label.red, "CENTERRIGHT", 12, 6)
			GT.display.label.red.slider:SetRange(0,255)
			GT.display.label.red.slider:SetWidth(120)
			GT.display.label.red.slider:SetPosition(0)
			GT.display.label.red.slider.Event.SliderChange = function()
				GT.display.label.red.value:SetText(tostring(GT.display.label.red.slider:GetPosition()))
				GT.display.label.preview:SetBackgroundColor(GT.display.label.red.slider:GetPosition()/255,GT.display.label.green.slider:GetPosition()/255,GT.display.label.blue.slider:GetPosition()/255,1)
				GT.display.preview.text:SetFontColor(GT.display.label.red.slider:GetPosition()/255,GT.display.label.green.slider:GetPosition()/255,GT.display.label.blue.slider:GetPosition()/255,1)
			end
		
		GT.display.label.red.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_label_red_value", GT.display.label.red)
			GT.display.label.red.value:SetPoint("CENTERLEFT", GT.display.label.red.slider, "CENTERRIGHT", 12, -6)
			GT.display.label.red.value:SetFontColor(1,1,1,1)
			GT.display.label.red.value:SetFontSize(12)
			GT.display.label.red.value:SetText(tostring(GT.display.label.red.slider:GetPosition()))
		
		GT.display.label.green = UI.CreateFrame("Text", AddonId .. "_cellConfig_label_green", GT.display.label)
			GT.display.label.green:SetPoint("CENTERLEFT", GT.display.label.preview, "CENTERRIGHT", 10, 0)
			GT.display.label.green:SetFontColor(1,1,1,1)
			GT.display.label.green:SetFontSize(12)
			GT.display.label.green:SetText("Green")
		
		GT.display.label.green.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_label_green_slider", GT.display.label.green)
			GT.display.label.green.slider:SetPoint("CENTERLEFT", GT.display.label.green, "CENTERRIGHT", 12, 6)
			GT.display.label.green.slider:SetRange(0,255)
			GT.display.label.green.slider:SetWidth(120)
			GT.display.label.green.slider:SetPosition(0)
			GT.display.label.green.slider.Event.SliderChange = function()
				GT.display.label.green.value:SetText(tostring(GT.display.label.green.slider:GetPosition()))
				GT.display.label.preview:SetBackgroundColor(GT.display.label.red.slider:GetPosition()/255,GT.display.label.green.slider:GetPosition()/255,GT.display.label.blue.slider:GetPosition()/255,1)
				GT.display.preview.text:SetFontColor(GT.display.label.red.slider:GetPosition()/255,GT.display.label.green.slider:GetPosition()/255,GT.display.label.blue.slider:GetPosition()/255,1)
			end
		
		GT.display.label.green.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_label_green_value", GT.display.label.green)
			GT.display.label.green.value:SetPoint("CENTERLEFT", GT.display.label.green.slider, "CENTERRIGHT", 12, -6)
			GT.display.label.green.value:SetFontColor(1,1,1,1)
			GT.display.label.green.value:SetFontSize(12)
			GT.display.label.green.value:SetText(tostring(GT.display.label.green.slider:GetPosition()))
		
		GT.display.label.blue = UI.CreateFrame("Text", AddonId .. "_cellConfig_label_blue", GT.display.label)
			GT.display.label.blue:SetPoint("BOTTOMLEFT", GT.display.label.preview, "BOTTOMRIGHT", 19, 0)
			GT.display.label.blue:SetFontColor(1,1,1,1)
			GT.display.label.blue:SetFontSize(12)
			GT.display.label.blue:SetText("Blue")
		
		GT.display.label.blue.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_label_blue_slider", GT.display.label.blue)
			GT.display.label.blue.slider:SetPoint("CENTERLEFT", GT.display.label.blue, "CENTERRIGHT", 12, 6)
			GT.display.label.blue.slider:SetRange(0,255)
			GT.display.label.blue.slider:SetWidth(120)
			GT.display.label.blue.slider:SetPosition(0)
			GT.display.label.blue.slider.Event.SliderChange = function()
				GT.display.label.blue.value:SetText(tostring(GT.display.label.blue.slider:GetPosition()))
				GT.display.label.preview:SetBackgroundColor(GT.display.label.red.slider:GetPosition()/255,GT.display.label.green.slider:GetPosition()/255,GT.display.label.blue.slider:GetPosition()/255,1)
				GT.display.preview.text:SetFontColor(GT.display.label.red.slider:GetPosition()/255,GT.display.label.green.slider:GetPosition()/255,GT.display.label.blue.slider:GetPosition()/255,1)
			end
		
		GT.display.label.blue.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_label_blue_value", GT.display.label.blue)
			GT.display.label.blue.value:SetPoint("CENTERLEFT", GT.display.label.blue.slider, "CENTERRIGHT", 12, -6)
			GT.display.label.blue.value:SetFontColor(1,1,1,1)
			GT.display.label.blue.value:SetFontSize(12)
			GT.display.label.blue.value:SetText(tostring(GT.display.label.blue.slider:GetPosition()))
		
		
		
	GT.display.font = UI.CreateFrame("Text", AddonId .. "_cellConfig_font", GT.display.label)
		GT.display.font:SetPoint("TOPLEFT", GT.display.label.preview, "BOTTOMLEFT", 32, 20)
		GT.display.font:SetFontColor(1,1,1,1)
		GT.display.font:SetFontSize(14)
		GT.display.font:SetText("Font Size")
	
	GT.display.font.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_font_slider", GT.display.font)
		GT.display.font.slider:SetPoint("CENTERLEFT", GT.display.font, "CENTERRIGHT", 12, 6)
		GT.display.font.slider:SetRange(0,400)
		GT.display.font.slider:SetWidth(120)
		GT.display.font.slider:SetPosition(40)
		GT.display.font.slider.Event.SliderChange = function()
			GT.display.font.value:SetText(tostring(GT.display.font.slider:GetPosition()))
			GT.display.preview.text:SetFontSize(GT.display.font.slider:GetPosition())
		end
	
	GT.display.font.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_font_value", GT.display.font)
		GT.display.font.value:SetPoint("CENTERLEFT", GT.display.font.slider, "CENTERRIGHT", 12, -6)
		GT.display.font.value:SetFontColor(1,1,1,1)
		GT.display.font.value:SetFontSize(12)
		GT.display.font.value:SetText(tostring(GT.display.font.slider:GetPosition()))
			
			
			
			
			
	GT.display.stat = UI.CreateFrame("Text", AddonId .. "_cellConfig_stat", GT.display)
		GT.display.stat:SetPoint("TOPLEFT", GT.display, "TOPLEFT", 20, 20)
		GT.display.stat:SetFontColor(1,1,1,1)
		GT.display.stat:SetFontSize(14)
		GT.display.stat:SetText("Glow Color")
		
		GT.display.stat.preview = UI.CreateFrame("Frame", AddonId .. "_cellConfig_stat_preview", GT.display.stat)
			GT.display.stat.preview:SetPoint("TOPLEFT", GT.display.stat, "BOTTOMLEFT", 0, 5)
			GT.display.stat.preview:SetHeight(80)
			GT.display.stat.preview:SetWidth(45)
			GT.display.stat.preview:SetBackgroundColor(1,0,0,1)
		
		GT.display.stat.red = UI.CreateFrame("Text", AddonId .. "_cellConfig_stat_red", GT.display.stat)
			GT.display.stat.red:SetPoint("TOPLEFT", GT.display.stat.preview, "TOPRIGHT", 22, 0)
			GT.display.stat.red:SetFontColor(1,1,1,1)
			GT.display.stat.red:SetFontSize(12)
			GT.display.stat.red:SetText("Red")
		
		GT.display.stat.red.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_stat_red_slider", GT.display.stat.red)
			GT.display.stat.red.slider:SetPoint("CENTERLEFT", GT.display.stat.red, "CENTERRIGHT", 12, 6)
			GT.display.stat.red.slider:SetRange(0,255)
			GT.display.stat.red.slider:SetWidth(120)
			GT.display.stat.red.slider:SetPosition(255)
			GT.display.stat.red.slider.Event.SliderChange = function()
				GT.display.stat.red.value:SetText(tostring(GT.display.stat.red.slider:GetPosition()))
				GT.display.stat.preview:SetBackgroundColor(GT.display.stat.red.slider:GetPosition()/255,GT.display.stat.green.slider:GetPosition()/255,GT.display.stat.blue.slider:GetPosition()/255,1)
				GT.glowTable.colorR = (GT.display.stat.red.slider:GetPosition()/255)
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
		
		GT.display.stat.red.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_stat_red_value", GT.display.stat.red)
			GT.display.stat.red.value:SetPoint("CENTERLEFT", GT.display.stat.red.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.red.value:SetFontColor(1,1,1,1)
			GT.display.stat.red.value:SetFontSize(12)
			GT.display.stat.red.value:SetText(tostring(GT.display.stat.red.slider:GetPosition()))
		
		GT.display.stat.green = UI.CreateFrame("Text", AddonId .. "_cellConfig_stat_green", GT.display.stat)
			GT.display.stat.green:SetPoint("CENTERLEFT", GT.display.stat.preview, "CENTERRIGHT", 10, 0)
			GT.display.stat.green:SetFontColor(1,1,1,1)
			GT.display.stat.green:SetFontSize(12)
			GT.display.stat.green:SetText("Green")
		
		GT.display.stat.green.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_stat_green_slider", GT.display.stat.green)
			GT.display.stat.green.slider:SetPoint("CENTERLEFT", GT.display.stat.green, "CENTERRIGHT", 12, 6)
			GT.display.stat.green.slider:SetRange(0,255)
			GT.display.stat.green.slider:SetWidth(120)
			GT.display.stat.green.slider:SetPosition(0)
			GT.display.stat.green.slider.Event.SliderChange = function()
				GT.display.stat.green.value:SetText(tostring(GT.display.stat.green.slider:GetPosition()))
				GT.display.stat.preview:SetBackgroundColor(GT.display.stat.red.slider:GetPosition()/255,GT.display.stat.green.slider:GetPosition()/255,GT.display.stat.blue.slider:GetPosition()/255,1)
				GT.glowTable.colorG = (GT.display.stat.green.slider:GetPosition()/255)
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
		
		GT.display.stat.green.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_stat_green_value", GT.display.stat.green)
			GT.display.stat.green.value:SetPoint("CENTERLEFT", GT.display.stat.green.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.green.value:SetFontColor(1,1,1,1)
			GT.display.stat.green.value:SetFontSize(12)
			GT.display.stat.green.value:SetText(tostring(GT.display.stat.green.slider:GetPosition()))
		
		GT.display.stat.blue = UI.CreateFrame("Text", AddonId .. "_cellConfig_stat_blue", GT.display.stat)
			GT.display.stat.blue:SetPoint("BOTTOMLEFT", GT.display.stat.preview, "BOTTOMRIGHT", 19, 0)
			GT.display.stat.blue:SetFontColor(1,1,1,1)
			GT.display.stat.blue:SetFontSize(12)
			GT.display.stat.blue:SetText("Blue")
		
		GT.display.stat.blue.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_stat_blue_slider", GT.display.stat.blue)
			GT.display.stat.blue.slider:SetPoint("CENTERLEFT", GT.display.stat.blue, "CENTERRIGHT", 12, 6)
			GT.display.stat.blue.slider:SetRange(0,255)
			GT.display.stat.blue.slider:SetWidth(120)
			GT.display.stat.blue.slider:SetPosition(0)
			GT.display.stat.blue.slider.Event.SliderChange = function()
				GT.display.stat.blue.value:SetText(tostring(GT.display.stat.blue.slider:GetPosition()))
				GT.display.stat.preview:SetBackgroundColor(GT.display.stat.red.slider:GetPosition()/255,GT.display.stat.green.slider:GetPosition()/255,GT.display.stat.blue.slider:GetPosition()/255,1)
				GT.glowTable.colorB = (GT.display.stat.blue.slider:GetPosition()/255)
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
		
		GT.display.stat.blue.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_stat_blue_value", GT.display.stat.blue)
			GT.display.stat.blue.value:SetPoint("CENTERLEFT", GT.display.stat.blue.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.blue.value:SetFontColor(1,1,1,1)
			GT.display.stat.blue.value:SetFontSize(12)
			GT.display.stat.blue.value:SetText(tostring(GT.display.stat.blue.slider:GetPosition()))
			
			
		GT.display.stat.alpha = UI.CreateFrame("Text", AddonId .. "_cellConfig_alpha", GT.display)
			GT.display.stat.alpha:SetPoint("TOPLEFT", GT.display.stat.preview, "BOTTOMRIGHT", 11, 11)
			GT.display.stat.alpha:SetFontColor(1,1,1,1)
			GT.display.stat.alpha:SetFontSize(12)
			GT.display.stat.alpha:SetText("Alpha")
			
		GT.display.stat.alpha.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_alpha_slider", GT.display.stat.alpha)
			GT.display.stat.alpha.slider:SetPoint("CENTERLEFT", GT.display.stat.alpha, "CENTERRIGHT", 12, 6)
			GT.display.stat.alpha.slider:SetRange(0,100)
			GT.display.stat.alpha.slider:SetWidth(120)
			GT.display.stat.alpha.slider:SetPosition(100)
			GT.display.stat.alpha.slider.Event.SliderChange = function()
				GT.display.stat.alpha.value:SetText(tostring(GT.display.stat.alpha.slider:GetPosition()))
				GT.glowTable.colorA = (GT.display.stat.alpha.slider:GetPosition()/100)
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
			
		GT.display.stat.alpha.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_alpha_value", GT.display.stat.alpha)
			GT.display.stat.alpha.value:SetPoint("CENTERLEFT", GT.display.stat.alpha.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.alpha.value:SetFontColor(1,1,1,1)
			GT.display.stat.alpha.value:SetFontSize(12)
			GT.display.stat.alpha.value:SetText(tostring(GT.display.stat.alpha.slider:GetPosition()))
			
			
			
			
		GT.display.stat.strength = UI.CreateFrame("Text", AddonId .. "_cellConfig_strength", GT.display)
			GT.display.stat.strength:SetPoint("TOPLEFT", GT.display.stat.alpha, "BOTTOMLEFT", -14, 11)
			GT.display.stat.strength:SetFontColor(1,1,1,1)
			GT.display.stat.strength:SetFontSize(12)
			GT.display.stat.strength:SetText("Strength")
			
		GT.display.stat.strength.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_strength_slider", GT.display.stat.strength)
			GT.display.stat.strength.slider:SetPoint("CENTERLEFT", GT.display.stat.strength, "CENTERRIGHT", 12, 6)
			GT.display.stat.strength.slider:SetRange(0,1500)
			GT.display.stat.strength.slider:SetWidth(120)
			GT.display.stat.strength.slider:SetPosition(500)
			GT.display.stat.strength.slider.Event.SliderChange = function()
				GT.display.stat.strength.value:SetText(tostring(GT.display.stat.strength.slider:GetPosition()/100))
				GT.glowTable.strength = (GT.display.stat.strength.slider:GetPosition()/100)
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
			
		GT.display.stat.strength.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_strength_value", GT.display.stat.strength)
			GT.display.stat.strength.value:SetPoint("CENTERLEFT", GT.display.stat.strength.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.strength.value:SetFontColor(1,1,1,1)
			GT.display.stat.strength.value:SetFontSize(12)
			GT.display.stat.strength.value:SetText(tostring(GT.display.stat.strength.slider:GetPosition()/100))
		
		
		
		
		GT.display.stat.blurX = UI.CreateFrame("Text", AddonId .. "_cellConfig_blurX", GT.display)
			GT.display.stat.blurX:SetPoint("TOPLEFT", GT.display.stat.strength, "BOTTOMLEFT", 15, 11)
			GT.display.stat.blurX:SetFontColor(1,1,1,1)
			GT.display.stat.blurX:SetFontSize(12)
			GT.display.stat.blurX:SetText("BlurX")
			
		GT.display.stat.blurX.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_blurX_slider", GT.display.stat.blurX)
			GT.display.stat.blurX.slider:SetPoint("CENTERLEFT", GT.display.stat.blurX, "CENTERRIGHT", 12, 6)
			GT.display.stat.blurX.slider:SetRange(0,150)
			GT.display.stat.blurX.slider:SetWidth(120)
			GT.display.stat.blurX.slider:SetPosition(30)
			GT.display.stat.blurX.slider.Event.SliderChange = function()
				GT.display.stat.blurX.value:SetText(tostring(GT.display.stat.blurX.slider:GetPosition()/10))
				GT.glowTable.blurX = (GT.display.stat.blurX.slider:GetPosition()/10)
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
			
		GT.display.stat.blurX.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_blurX_value", GT.display.stat.blurX)
			GT.display.stat.blurX.value:SetPoint("CENTERLEFT", GT.display.stat.blurX.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.blurX.value:SetFontColor(1,1,1,1)
			GT.display.stat.blurX.value:SetFontSize(12)
			GT.display.stat.blurX.value:SetText(tostring(GT.display.stat.blurX.slider:GetPosition()/10))
			
			
		GT.display.stat.blurY = UI.CreateFrame("Text", AddonId .. "_cellConfig_blurY", GT.display)
			GT.display.stat.blurY:SetPoint("TOPLEFT", GT.display.stat.blurX, "BOTTOMLEFT", 0, 11)
			GT.display.stat.blurY:SetFontColor(1,1,1,1)
			GT.display.stat.blurY:SetFontSize(12)
			GT.display.stat.blurY:SetText("BlurY")
			
		GT.display.stat.blurY.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_blurY_slider", GT.display.stat.blurY)
			GT.display.stat.blurY.slider:SetPoint("CENTERLEFT", GT.display.stat.blurY, "CENTERRIGHT", 12, 6)
			GT.display.stat.blurY.slider:SetRange(0,150)
			GT.display.stat.blurY.slider:SetWidth(120)
			GT.display.stat.blurY.slider:SetPosition(30)
			GT.display.stat.blurY.slider.Event.SliderChange = function()
				GT.display.stat.blurY.value:SetText(tostring(GT.display.stat.blurY.slider:GetPosition()/10))
				GT.glowTable.blurY = (GT.display.stat.blurY.slider:GetPosition()/10)
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
			
		GT.display.stat.blurY.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_blurY_value", GT.display.stat.blurY)
			GT.display.stat.blurY.value:SetPoint("CENTERLEFT", GT.display.stat.blurY.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.blurY.value:SetFontColor(1,1,1,1)
			GT.display.stat.blurY.value:SetFontSize(12)
			GT.display.stat.blurY.value:SetText(tostring(GT.display.stat.blurY.slider:GetPosition()/10))
		
		
		
		GT.display.stat.offsetX = UI.CreateFrame("Text", AddonId .. "_cellConfig_offsetX", GT.display)
			GT.display.stat.offsetX:SetPoint("TOPLEFT", GT.display.stat.blurY, "BOTTOMLEFT", -9, 11)
			GT.display.stat.offsetX:SetFontColor(1,1,1,1)
			GT.display.stat.offsetX:SetFontSize(12)
			GT.display.stat.offsetX:SetText("offsetX")
			
		GT.display.stat.offsetX.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_offsetX_slider", GT.display.stat.offsetX)
			GT.display.stat.offsetX.slider:SetPoint("CENTERLEFT", GT.display.stat.offsetX, "CENTERRIGHT", 12, 6)
			GT.display.stat.offsetX.slider:SetRange(0,100)
			GT.display.stat.offsetX.slider:SetWidth(120)
			GT.display.stat.offsetX.slider:SetPosition(0)
			GT.display.stat.offsetX.slider.Event.SliderChange = function()
				GT.display.stat.offsetX.value:SetText(tostring(GT.display.stat.offsetX.slider:GetPosition()))
				GT.glowTable.offsetX = GT.display.stat.offsetX.slider:GetPosition()
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
			
		GT.display.stat.offsetX.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_offsetX_value", GT.display.stat.offsetX)
			GT.display.stat.offsetX.value:SetPoint("CENTERLEFT", GT.display.stat.offsetX.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.offsetX.value:SetFontColor(1,1,1,1)
			GT.display.stat.offsetX.value:SetFontSize(12)
			GT.display.stat.offsetX.value:SetText(tostring(GT.display.stat.offsetX.slider:GetPosition()))
			
		GT.display.stat.offsetY = UI.CreateFrame("Text", AddonId .. "_cellConfig_offsetY", GT.display)
			GT.display.stat.offsetY:SetPoint("TOPLEFT", GT.display.stat.offsetX, "BOTTOMLEFT", 0, 11)
			GT.display.stat.offsetY:SetFontColor(1,1,1,1)
			GT.display.stat.offsetY:SetFontSize(12)
			GT.display.stat.offsetY:SetText("offsetY")
			
		GT.display.stat.offsetY.slider = UI.CreateFrame("RiftSlider", AddonId .. "_cellConfig_offsetY_slider", GT.display.stat.offsetY)
			GT.display.stat.offsetY.slider:SetPoint("CENTERLEFT", GT.display.stat.offsetY, "CENTERRIGHT", 12, 6)
			GT.display.stat.offsetY.slider:SetRange(0,100)
			GT.display.stat.offsetY.slider:SetWidth(120)
			GT.display.stat.offsetY.slider:SetPosition(0)
			GT.display.stat.offsetY.slider.Event.SliderChange = function()
				GT.display.stat.offsetY.value:SetText(tostring(GT.display.stat.offsetY.slider:GetPosition()))
				GT.glowTable.offsetY = GT.display.stat.offsetY.slider:GetPosition()
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
			
		GT.display.stat.offsetY.value = UI.CreateFrame("Text", AddonId .. "_cellConfig_offsetY_value", GT.display.stat.offsetY)
			GT.display.stat.offsetY.value:SetPoint("CENTERLEFT", GT.display.stat.offsetY.slider, "CENTERRIGHT", 12, -6)
			GT.display.stat.offsetY.value:SetFontColor(1,1,1,1)
			GT.display.stat.offsetY.value:SetFontSize(12)
			GT.display.stat.offsetY.value:SetText(tostring(GT.display.stat.offsetY.slider:GetPosition()))
		
		
		
		GT.display.knockout = UI.CreateFrame("Text", AddonId .. "_cellConfig_knockout", GT.display)
			GT.display.knockout:SetPoint("TOPLEFT", GT.display.stat.offsetY, "BOTTOMLEFT", 0, 11)
			GT.display.knockout:SetFontColor(1,1,1,1)
			GT.display.knockout:SetFontSize(12)
			GT.display.knockout:SetText("Knockout")
			
		GT.display.knockout.check = UI.CreateFrame("RiftCheckbox", AddonId .. "_cellConfig_knockout_check", GT.display.knockout)
			GT.display.knockout.check:SetPoint("TOPLEFT", GT.display.stat.offsetY.value, "BOTTOMLEFT", 0, 11)
			GT.display.knockout.check:SetHeight(20)
			GT.display.knockout.check:SetWidth(20)
			GT.display.knockout.check:SetEnabled(true)
			GT.display.knockout.check.Event.CheckboxChange = function()
				GT.glowTable.knockout = GT.display.knockout.check:GetChecked()
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
		
		
		
		GT.display.replace = UI.CreateFrame("Text", AddonId .. "_cellConfig_replace", GT.display)
			GT.display.replace:SetPoint("TOPLEFT", GT.display.knockout, "BOTTOMLEFT", 0, 11)
			GT.display.replace:SetFontColor(1,1,1,1)
			GT.display.replace:SetFontSize(12)
			GT.display.replace:SetText("Replace")
			
		GT.display.replace.check = UI.CreateFrame("RiftCheckbox", AddonId .. "_cellConfig_replace_check", GT.display.replace)
			GT.display.replace.check:SetPoint("TOPLEFT", GT.display.knockout.check, "BOTTOMLEFT", 0, 11)
			GT.display.replace.check:SetHeight(20)
			GT.display.replace.check:SetWidth(20)
			GT.display.replace.check:SetEnabled(true)
			GT.display.replace.check.Event.CheckboxChange = function()
				GT.glowTable.replace = GT.display.replace.check:GetChecked()
				GT.display.preview.text:SetEffectGlow(GT.glowTable)
			end
			
		
		
		
	GT.display.preview = UI.CreateFrame("Frame", AddonId .. "_preview", GT.display)
		GT.display.preview:SetPoint("TOPLEFT", GT.display, "TOPRIGHT", 10, 0)
		GT.display.preview:SetHeight(450)
		GT.display.preview:SetWidth(450)
		GT.display.preview:SetBackgroundColor(1,1,1,1)
		
		GT.display.preview.text = UI.CreateFrame("Text", AddonId .. "_preview_text", GT.display.preview)
			GT.display.preview.text:SetPoint("TOPLEFT", GT.display.preview, "TOPLEFT", 8, 8)
			GT.display.preview.text:SetPoint("BOTTOMRIGHT", GT.display.preview, "BOTTOMRIGHT", -8, -8)
			GT.display.preview.text:SetFontColor(0,0,0,1)
			GT.display.preview.text:SetFontSize(40)
			GT.display.preview.text:SetText("A a B b C c D d E e F f\nG g H h I i J j K k L l\nM m N n O o P p Q q\nR r S s T t U u V v X x\nY y Z z 1 2 3 4 5 6 7 8\n9 ! @ # $ % & * . , ; :\n' ?")
			GT.display.preview.text:SetEffectGlow(GT.glowTable)
end

function GT.OnSlashCommand()
	if(not GT.display) then
		GT.Create()
	else
		GT.display:SetVisible(not MainWindow:GetVisible())
	end
end

table.insert(Command.Slash.Register("gt"), { GT.OnSlashCommand, AddonId, AddonId .. "_OnSlashCommand" })